---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libConcreteKlassFilter.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2BB0, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51FC0, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53F00, symBinAddr: 0xA120, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x542F0, symBinAddr: 0xA510, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55290, symBinAddr: 0xB4B0, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x552A0, symBinAddr: 0xB4C0, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51C50, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51C54, symBinAddr: 0x80A4, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51C58, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51DA0, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0xC97, offset: 0xC97, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x51E58, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0xCB5, offset: 0xCB5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x51E5C, symBinAddr: 0x816C, symSize: 0x0 }
  - { offsetInCU: 0xCCE, offset: 0xCCE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x51E60, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0xCE7, offset: 0xCE7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x51E64, symBinAddr: 0x8174, symSize: 0x0 }
  - { offsetInCU: 0xD00, offset: 0xD00, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x51E68, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x92EF, offset: 0x92EF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51E70, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x9378, offset: 0x9378, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x51E80, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x9391, offset: 0x9391, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51E88, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x93AA, offset: 0x93AA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51E90, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x93C3, offset: 0x93C3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51E98, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x93DC, offset: 0x93DC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51EA0, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x93F6, offset: 0x93F6, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51EA8, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x94DC, offset: 0x94DC, size: 0x8, addend: 0x0, symName: __ZL11field_found, symObjAddr: 0x51EEC, symBinAddr: 0x81CC, symSize: 0x0 }
  - { offsetInCU: 0x94F5, offset: 0x94F5, size: 0x8, addend: 0x0, symName: __ZL22non_primitive_reported, symObjAddr: 0x51EF0, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x950E, offset: 0x950E, size: 0x8, addend: 0x0, symName: __ZL15object_unloaded, symObjAddr: 0x51EF4, symBinAddr: 0x81D4, symSize: 0x0 }
  - { offsetInCU: 0x952E, offset: 0x952E, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x51EF8, symBinAddr: 0x81D8, symSize: 0x0 }
  - { offsetInCU: 0x9580, offset: 0x9580, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x17F0, symSize: 0x80 }
  - { offsetInCU: 0x9615, offset: 0x9615, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1740, symSize: 0xB0 }
  - { offsetInCU: 0x9670, offset: 0x9670, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1640, symSize: 0x100 }
  - { offsetInCU: 0x9903, offset: 0x9903, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1870, symSize: 0xC0 }
  - { offsetInCU: 0x9955, offset: 0x9955, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1930, symSize: 0x220 }
  - { offsetInCU: 0x9B3A, offset: 0x9B3A, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1B50, symSize: 0xA0 }
  - { offsetInCU: 0x9BED, offset: 0x9BED, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1BF0, symSize: 0x110 }
  - { offsetInCU: 0x9CE3, offset: 0x9CE3, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1D00, symSize: 0x150 }
  - { offsetInCU: 0x9E40, offset: 0x9E40, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1E50, symSize: 0x30 }
  - { offsetInCU: 0x9F01, offset: 0x9F01, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1E80, symSize: 0x150 }
  - { offsetInCU: 0xA0F9, offset: 0xA0F9, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1FD0, symSize: 0x160 }
  - { offsetInCU: 0xA3B9, offset: 0xA3B9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x2130, symSize: 0x4A0 }
  - { offsetInCU: 0xA62C, offset: 0xA62C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x25D0, symSize: 0x1B0 }
  - { offsetInCU: 0xA847, offset: 0xA847, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x2780, symSize: 0xA0 }
  - { offsetInCU: 0xA916, offset: 0xA916, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2820, symSize: 0x20 }
  - { offsetInCU: 0xA94D, offset: 0xA94D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x2840, symSize: 0x20 }
  - { offsetInCU: 0xA984, offset: 0xA984, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2860, symSize: 0x20 }
  - { offsetInCU: 0xAA5D, offset: 0xAA5D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_setFailStatus, symObjAddr: 0x35A0, symBinAddr: 0x2880, symSize: 0x40 }
  - { offsetInCU: 0xAB14, offset: 0xAB14, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x28C0, symSize: 0x1A0 }
  - { offsetInCU: 0xAE30, offset: 0xAE30, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2A60, symSize: 0x150 }
  - { offsetInCU: 0xAFED, offset: 0xAFED, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2E50, symSize: 0x1D0 }
  - { offsetInCU: 0xB2E9, offset: 0xB2E9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x3020, symSize: 0x80 }
  - { offsetInCU: 0xB3B2, offset: 0xB3B2, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x30A0, symSize: 0x6C0 }
  - { offsetInCU: 0xBF28, offset: 0xBF28, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAAB0, symBinAddr: 0x4D00, symSize: 0xB0 }
  - { offsetInCU: 0xBF9F, offset: 0xBF9F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x3760, symSize: 0x70 }
  - { offsetInCU: 0xC05B, offset: 0xC05B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_enableEvents, symObjAddr: 0x5190, symBinAddr: 0x37D0, symSize: 0xF0 }
  - { offsetInCU: 0xC18F, offset: 0xC18F, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x38C0, symSize: 0xA0 }
  - { offsetInCU: 0xC29A, offset: 0xC29A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x3960, symSize: 0x40 }
  - { offsetInCU: 0xC390, offset: 0xC390, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x39A0, symSize: 0x2B0 }
  - { offsetInCU: 0xC736, offset: 0xC736, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3C50, symSize: 0xC0 }
  - { offsetInCU: 0xC87C, offset: 0xC87C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3D10, symSize: 0x10 }
  - { offsetInCU: 0xC93E, offset: 0xC93E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3D20, symSize: 0x240 }
  - { offsetInCU: 0xCC27, offset: 0xCC27, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3F60, symSize: 0x10 }
  - { offsetInCU: 0xCC84, offset: 0xCC84, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3F70, symSize: 0x220 }
  - { offsetInCU: 0xCF37, offset: 0xCF37, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F40, symBinAddr: 0x4190, symSize: 0x10 }
  - { offsetInCU: 0xCF94, offset: 0xCF94, size: 0x8, addend: 0x0, symName: _field_callback, symObjAddr: 0x9F50, symBinAddr: 0x41A0, symSize: 0x100 }
  - { offsetInCU: 0xD09A, offset: 0xD09A, size: 0x8, addend: 0x0, symName: _string_callback, symObjAddr: 0xA050, symBinAddr: 0x42A0, symSize: 0x60 }
  - { offsetInCU: 0xD13A, offset: 0xD13A, size: 0x8, addend: 0x0, symName: _array_callback, symObjAddr: 0xA0B0, symBinAddr: 0x4300, symSize: 0x60 }
  - { offsetInCU: 0xD1E5, offset: 0xD1E5, size: 0x8, addend: 0x0, symName: _heap_callback, symObjAddr: 0xA110, symBinAddr: 0x4360, symSize: 0xA0 }
  - { offsetInCU: 0xD279, offset: 0xD279, size: 0x8, addend: 0x0, symName: _object_free_callback, symObjAddr: 0xA1B0, symBinAddr: 0x4400, symSize: 0x70 }
  - { offsetInCU: 0xD383, offset: 0xD383, size: 0x8, addend: 0x0, symName: _tag_objects, symObjAddr: 0xA220, symBinAddr: 0x4470, symSize: 0x2F0 }
  - { offsetInCU: 0xD7D8, offset: 0xD7D8, size: 0x8, addend: 0x0, symName: _verify_objects, symObjAddr: 0xA510, symBinAddr: 0x4760, symSize: 0xA0 }
  - { offsetInCU: 0xD86A, offset: 0xD86A, size: 0x8, addend: 0x0, symName: __ZL5agentP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA5B0, symBinAddr: 0x4800, symSize: 0x500 }
  - { offsetInCU: 0xDE36, offset: 0xDE36, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAB60, symBinAddr: 0x4DB0, symSize: 0x36A }
...
